La ricerca ha trovato 68 risultati

da gian_d
lun ott 14, 2019 21:33
Forum: Slackware64
Argomento: Ennesimo problema PyQt5 - sip
Risposte: 0
Visite : 52

Ennesimo problema PyQt5 - sip

Sto provando a installare Qgis 3.8.1 / 3.8.2 in un nuovo sistema (sostituzione degli hardisk e reinstallazione di una nuova current) e alla fine mi ritrovo sempre con lo stesso errore di compilazione causato da sip. Notare che in una precedente configurazione risalente ad una current di pochi mesi f...
da gian_d
dom ott 06, 2019 20:01
Forum: Slackware64
Argomento: [SOLVED] Errore di compilazione di ITK su current
Risposte: 3
Visite : 213

Re: [SOLVED] Errore di compilazione di ITK su current

non so, io le ho messe contemporaneamente vedendo che in entrambi i file c'erano riferimenti alla versione del compilatore, quindi non ho verificato se siano entrambe necessarie. Le ho adattate da vecchie patch in circolazione che riguardavano problemi analoghi con precedenti versioni di gcc. A quan...
da gian_d
dom ott 06, 2019 13:34
Forum: Slackware64
Argomento: [SOLVED] Errore di compilazione di ITK su current
Risposte: 3
Visite : 213

[SOLVED] Errore di compilazione di ITK su current

Segnalo per chiunque sia interessato un errore di compilazione del sorgente di Insight Toolkit 4.13.2 (ITK) e versioni inferiori, compreso lo slackbuild del repository di Ponce su GitHub. L'errore ricorre nel caso si usi una versione di gcc >= 9.x (caso dell'attuale current) ed è dovuto ad un modulo...
da gian_d
lun set 16, 2019 13:12
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

Re: [SOLVED] Poedit non va

Hai perfettamente ragione, Matteo. Confesso che in qualche caso ho fatto ricorso al pip per risolvere un paio di dipendenze nei moduli python, ma decisamente preferibile gestire il packaging con i pacchetti ordinari. Anche se comunque è possibile ripristinare la configurazione in modo da riportarla ...
da gian_d
dom set 15, 2019 21:39
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

Re: [SOLVED] Poedit non va

Esattamente come dicevi. Ho disinstallato wxPython e ne ho approfittato per verificare che è necessario in runtime: né Grass né youtube-dl-gui si avviano in assenza di un modulo wx. Dopo l'installazione di wxPython3, invece, tutto normale: entrambi i programmi si avviano e senza ricompilarli. Non vo...
da gian_d
dom set 15, 2019 20:37
Forum: Libera
Argomento: cablaggio ethernet casalinga
Risposte: 8
Visite : 887

Re: cablaggio ethernet casalinga

Che io sappia non dovrebbero esserci interferenze se non con l'eventuale passaggio insieme a cavi elettrici attraversati con un alta intensità di corrente, che non è il tuo caso. Ma anche ammesso che ci fossero interferenze, qualche segno di vita dovresti riscontrarlo, a maggior ragione con TV e tel...
da gian_d
dom set 15, 2019 20:18
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

Re: [SOLVED] Poedit non va

wxPython3 non l'avevo preso in considerazione. Penso che abbia ragione, questa soluzione taglierebbe la testa al toro senza dover ogni volta reinstallare
da gian_d
dom set 15, 2019 14:48
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

Re: [SOLVED] Poedit non va

La causa era proprio la 3.1 di wxGTK3. Ho messo la 3.0, ricompilato Poedit e il programma va. Grazie per la pazienza, Matteo, e chiedo scusa per la perdita di tempo
da gian_d
dom set 15, 2019 14:12
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

Re: Poedit non va

Più che giusto, mea culpa
da gian_d
dom set 15, 2019 12:39
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

Re: Poedit non va

nel sistema ho gtkspell 2 non so se possa incidere, comunque proviamo, libreria in più o in meno... Stesso discorso per enchant. gtkspell-2.x e enchant-1.x sono due pacchetti diversi da gtkspell3 e enchant2. Sì, ovviamente. Comunque li ho installati ma non cambia nulla ma perche' dici "collega...
da gian_d
sab set 14, 2019 22:01
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

Re: Poedit non va

nel sistema ho gtkspell 2 non so se possa incidere, comunque proviamo, libreria in più o in meno... Stesso discorso per enchant. Poco fa ho anche provato a installare l'ultima versione di Poedit, la 2.2.3, mi dava un'errore di compilazione a causa di un costruttore errato in un file cpp. Trattandosi...
da gian_d
sab set 14, 2019 20:00
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

Re: Poedit non va

Niente da fare, ho installato una current pulita in una macchina virtuale, ho installato solo le librerie necessarie (wxGTK3, gtest, LucenePlusPlus) ma il problema si ripresenta. Ho provato anche con una vecchia versione del boost, la 1.69, ricompilando anche LucenePlusPlus, ma non cambia nulla. A q...
da gian_d
ven set 13, 2019 17:28
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

Re: Poedit non va

Ora ne installo uno in una macchina virtuale e provo
da gian_d
ven set 13, 2019 17:26
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

Re: Poedit non va

Intendi da un sistema pulito?
da gian_d
gio set 12, 2019 21:26
Forum: Slackware64
Argomento: [SOLVED] Poedit non va
Risposte: 16
Visite : 1238

[SOLVED] Poedit non va

Ho installato Poedit dallo slackbuild, comprese le dipendenze richieste: LucenePlusPlus ex-novo, mentre gtest gtkspell e wxGTK3 erano già installati. All'inizio wxGTK3 mi dava qualche problema perché l'installazione di Poedit si fermava nella verifica di wxGTK3, ma poi ho risolto (il link simbolico ...